> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel

> Channel endpoints: Create Channel, Get Channels, Get Channel, Get Channel List, Update Channel, Delete Channel

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Channel",
            "description": "Channel endpoints: Create Channel, Get Channels, Get Channel, Get Channel List, Update Channel, Delete Channel",
            "url": "https://docs.dqlabs.ai/api-reference/integrations/channel",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Channel">
    `POST /api/v1/integration/channel`

    Create Channel

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create Channel",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Channels">
    `GET /api/v1/integration/channel`

    Get all configured channels from the database.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"af7c3ed5-67bd-48ea-89cd-8e93c0c7bac8"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"AWS Vault"`.
      </ResponseField>

      <ResponseField name="tag" type="string">
        Example: `"vault"`.
      </ResponseField>

      <ResponseField name="qualified_name" type="string">
        Example: `"aws_secrets_manager"`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="channel_type_id" type="string">
        Example: `"f5876bd6-3577-4720-b314-04d40f578c64"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all configured channels from the database.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Channel">
    `GET /api/v1/integration/channel/{channelId}`

    Get a channel by its ID.

    **Path Parameters**

    <ParamField path="channelId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"af7c3ed5-67bd-48ea-89cd-8e93c0c7bac8"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"AWS Vault"`.
      </ResponseField>

      <ResponseField name="description" type="string" />

      <ResponseField name="tag" type="string">
        Example: `"vault"`.
      </ResponseField>

      <ResponseField name="qualified_name" type="string">
        Example: `"aws_secrets_manager"`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="configuration" type="object">
        <ResponseField name="name" type="string">
          Example: `"AWS Vault"`.
        </ResponseField>

        <ResponseField name="region" type="string">
          Example: `"us-east-1"`.
        </ResponseField>

        <ResponseField name="auth_type" type="string">
          Example: `"access key and secret key"`.
        </ResponseField>

        <ResponseField name="description" type="string" />

        <ResponseField name="awsaccesskey" type="string">
          Example: `"AKIA5GYYFS4XIIZDVREB"`.
        </ResponseField>

        <ResponseField name="awssecretaccesskey" type="string">
          Example: `"qD03pQFT9lg0pwIQp1LnLAbP41c4gt5cq+hgfj8v"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="is_valid" type="string" />

      <ResponseField name="created_at" type="string">
        Example: `"2026-08-16T13:08:30.903564Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
      </ResponseField>

      <ResponseField name="updated_at" type="string">
        Example: `"2026-08-18T13:27:46.306915Z"`.
      </ResponseField>

      <ResponseField name="updated_by" type="string">
        Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
      </ResponseField>

      <ResponseField name="channel_type_id" type="string">
        Example: `"f5876bd6-3577-4720-b314-04d40f578c64"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/{channelId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a channel by its ID.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "id": "af7c3ed5-67bd-48ea-89cd-8e93c0c7bac8",
        "name": "AWS Vault",
        "description": null,
        "tag": "vault",
        "qualified_name": "aws_secrets_manager",
        "is_active": true,
        "configuration": {
          "name": "AWS Vault",
          "region": "us-east-1",
          "auth_type": "access key and secret key",
          "description": null,
          "awsaccesskey": "AKIA5GYYFS4XIIZDVREB",
          "awssecretaccesskey": "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"
        },
        "is_valid": null,
        "created_at": "2026-08-16T13:08:30.903564Z",
        "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
        "updated_at": "2026-08-18T13:27:46.306915Z",
        "updated_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
        "channel_type_id": "f5876bd6-3577-4720-b314-04d40f578c64"
      }
    }
    ```
  </Tab>

  <Tab title="Get Channel List">
    `GET /api/v1/integration/channel/channel_list`

    Get list of channels from Slack, Teams, and Google Chat using access\_token.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"https://chat.googleapis.com/v1/spaces/AAQAtbuPqOU/messages?key=AIzaSyDdI0hCZtE6vySjMm-WEfRq3CPzqKqqsHI&token=44MYh2ALooTUZwOVQ5vxI_MpqZSSqu6MzofUbBWgGW8"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"prizm_qa"`.
      </ResponseField>

      <ResponseField name="webhook_url" type="string">
        Example: `"https://chat.googleapis.com/v1/spaces/AAQAtbuPqOU/messages?key=AIzaSyDdI0hCZtE6vySjMm-WEfRq3CPzqKqqsHI&token=44MYh2ALooTUZwOVQ5vxI_MpqZSSqu6MzofUbBWgGW8"`.
      </ResponseField>

      <ResponseField name="type" type="string">
        Example: `"google_chat"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/channel_list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get list of channels from Slack, Teams, and Google Chat using access_token.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Channel">
    `PUT /api/v1/integration/channel/{channelId}`

    Update a channel configuration.

    **Path Parameters**

    <ParamField path="channelId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/{channelId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a channel configuration.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Channel">
    `DELETE /api/v1/integration/channel/{channelId}`

    Delete a channel by its ID.

    **Path Parameters**

    <ParamField path="channelId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/{channelId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a channel by its ID.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
